### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface AttachmentInterface

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `Attachment`

@SASScope("ALL") @BinaryCompatibilityOnly public interface AttachmentInterface extends Remote
Represents an attachment for a comment

Since:
  1.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `getContent()`
  Gets the source(stream) of the content for this attachment
  `String`
  `getDescription()`
  Gets the description of this attachment
  `String`
  `getMimeType()`
  Gets the MIME type of this attachment
  `String`
  `getName()`
  Gets the name of this attachment
  `void`
  `setContent(InputStream content)`
  Sets the source(stream) for the content of this attachment.
  `void`
  `setDescription(String description)`
  Sets the description of this attachment
  `void`
  `setMimeType(String mimeType)`
  Sets the mime type of this attachment
  `void`
  `setName(String name)`
  Sets the name of this attachment

- ## Method Details

  - ### setName

    void setName(String name) throws RemoteException
    Sets the name of this attachment
    Parameters:
      `name` - The name of this attachment
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### setDescription

    void setDescription(String description) throws RemoteException
    Sets the description of this attachment
    Parameters:
      `description` - The name of this attachment
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### setMimeType

    void setMimeType(String mimeType) throws RemoteException
    Sets the mime type of this attachment
    Parameters:
      `mimeType` - The MIME type for this attachment
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### setContent

    void setContent(InputStream content) throws RemoteException
    Sets the source(stream) for the content of this attachment. For remote deployment the InputStream should be wrapped in an `InputStreamAdapter`
    Parameters:
      `content` - The input stream containing the content for this attachment
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getName

    String getName() throws RemoteException
    Gets the name of this attachment
    Returns:
      String The name of this attachment
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getDescription

    String getDescription() throws RemoteException
    Gets the description of this attachment
    Returns:
      String The description of this attachment
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getMimeType

    String getMimeType() throws RemoteException
    Gets the MIME type of this attachment
    Returns:
      String The MIME type of this attachment
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getContent

    InputStream getContent() throws RemoteException
    Gets the source(stream) of the content for this attachment
    Returns:
      InputStream The stream containing the content for this attachment
    Throws:
      `RemoteException` - in the event of remote object failure.